document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const menuToggle = document.querySelector('.menu-toggle');
  const navLinks = document.querySelector('.nav-links');

  menuToggle.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Parallax effect
  window.addEventListener('scroll', () => {
    const parallaxBg = document.querySelector('.parallax-bg');
    const scrolled = window.pageYOffset;
    parallaxBg.style.transform = `translateY(${scrolled * 0.5}px)`;
  });

  // Depth indicator animation
  const depthValue = document.querySelector('.depth-value');
  let currentDepth = 0;
  const maxDepth = 4000;

  window.addEventListener('scroll', () => {
    const scrollPercent = (window.pageYOffset / (document.documentElement.scrollHeight - window.innerHeight));
    currentDepth = Math.round(scrollPercent * maxDepth);
    depthValue.textContent = `${currentDepth}m`;
  });

  // Creature hover effects
  const creatures = document.querySelectorAll('.creature');
  creatures.forEach(creature => {
    creature.addEventListener('mouseenter', () => {
      creature.style.boxShadow = `0 0 20px var(--biolum)`;
    });

    creature.addEventListener('mouseleave', () => {
      creature.style.boxShadow = 'none';
    });
  });
});
